{{File: 05 SimpleOnOff.spin

Presented at the January 27th Propeller Users Group
meeting during the Spin Tips segment.

The first example program used a number of programming
elements that are closely related to the Propeller
microcontroller's architecutre, including: dira, outa,
clkfreq, cnt, and waitcnt.  There are quite a few nested
concepts that go into using those elements to get a simple
job like blinking lights done.  In contrast, this example
program uses two objects, Input Output Pins and Timer, to
do the same job, but with much simpler programming
techniques.

This is the first of several example programs that show
how objects can be used to make the Propeller more accessible
to students who might be closer to the beginner level.
}}

OBJ

  pin  : "Input Output Pins"
  time : "Timer"

PUB go

  repeat
    time.pause(100)
    pin.High(8)
    time.pause(100)
    pin.Low(8)
    