{{File: 03 OnOffwCrystalNoSync.spin

Presented at the January 27th Propeller Users Group
meeting during the Spin Tips segment.
  
This example program highlights an aspect of the repeat
loop that can have undesirable effects on code that
needs to have precisely timed events.  The line with
repeat 14000 adds a delay to the code that visibly
affects the signals timing when viewed with the
PropScope.  So, even though the crystal is precise
your code can propagate errors if you're not careful.}}

CON

    _xinfreq = 5_000_000                     
    _clkmode = xtal1 + pll16x

PUB LedOnOff | t, dt

  dira[8]:=1

  repeat
    repeat 14000              ' added delay
    waitcnt(clkfreq/10 + cnt)
    outa[8] := 1
    waitcnt(clkfreq/10 + cnt)
    outa[8] := 0



    