{{File: 08 SimpleOnOffwCrystal&Sync.spin

Presented at the January 27th Propeller Users Group
meeting during the Spin Tips segment.

This demonstrates the same solution to the potential
coding/timing problem that was first shown in
program 04.  By calling methods in the timer object,
the program solves the problem with a much lighter
conceptual load because the Timer object takes care
of the cnt register bookkeeping for synchronized
delays.  

Note how there is a call to the Timer object's Mark
method, and then the wait method calls wait for 100ms
from the Mark.  The Wait method is also designed so
that the previous Wait call serves as a mark.
}}

OBJ
  pin  : "Input Output Pins"
  time : "Timer"

PUB Go

  time.SystemClock(time#PEKit80MHz)
  time.Mark

  repeat
    repeat 14000     ' added delay
    time.wait(100)
    pin.high(8)
    time.wait(100)
    pin.Low(8)



    